%global artifactId apt-maven-plugin
%global patch_githash 7d890eb13a971300a2229e7c0912a1f4bd4d4df8
%global githash 9835134e51d058972771e44eb63fad3e3f85bd09
Name:          mysema-apt-maven-plugin
Version:       1.1.3
Release:       4%{?dist}
Summary:       Maven APT plugin
License:       ASL 2.0
URL:           https://github.com/querydsl/apt-maven-plugin
Source0:       https://github.com/querydsl/apt-maven-plugin/archive/%{githash}/%{artifactId}-%{githash}.tar.gz
# Add license file fix https://github.com/querydsl/apt-maven-plugin/issues/37
Patch0:        https://github.com/querydsl/apt-maven-plugin/commit/%{patch_githash}.patch

BuildRequires: maven-local
BuildRequires: mvn(com.google.guava:guava)
BuildRequires: mvn(com.mysema.querydsl:querydsl-apt)
BuildRequires: mvn(com.mysema.querydsl:querydsl-collections)
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(org.apache.commons:commons-io)
BuildRequires: mvn(org.apache.maven:maven-core)
BuildRequires: mvn(org.apache.maven:maven-model)
BuildRequires: mvn(org.apache.maven:maven-plugin-api)
BuildRequires: mvn(org.apache.maven.plugins:maven-clean-plugin)
BuildRequires: mvn(org.apache.maven.plugins:maven-plugin-plugin)
BuildRequires: mvn(org.apache.maven.shared:maven-verifier)
BuildRequires: mvn(org.codehaus.plexus:plexus-utils)
BuildRequires: mvn(org.easymock:easymock)
BuildRequires: mvn(org.sonatype.plexus:plexus-build-api)

BuildArch:     noarch

%description
This plugin provides Maven integration of the
Java 6 APT functionality.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{artifactId}-%{githash}
%patch0 -p1

# com.mysema.home:mysema-source:pom:0.3.1
%pom_remove_parent

# Force to use maven 3 apis
%pom_xpath_set "pom:properties/pom:mvn.version" 3.1.1
%pom_change_dep :maven-project :maven-core:'${mvn.version}'

# Use JDK tool for fix non ASCII chars
native2ascii -encoding UTF8 src/main/java/com/mysema/maven/apt/FileSync.java \
 src/main/java/com/mysema/maven/apt/FileSync.java

# Use web connection
rm -rf src/test/java/com/mysema/maven/apt/AptIntegrationTest.java

%build

%mvn_build -- -Dproject.build.sourceEncoding=UTF-8

%install
%mvn_install

%files -f .mfiles
%doc README.md
%license LICENSE.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE.txt

%changelog
* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Apr 29 2015 gil cattaneo <puntogil@libero.it> 1.1.3-1
- initial rpm
